GroovyDocTemplateEngine (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.tools.groovydoc

## Class GroovyDocTemplateEngine

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

-     public class GroovyDocTemplateEngine
      extends java.lang.Object

  Process Groovydoc templates.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String classTemplate)`
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.Properties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyBinaryResource(java.lang.String template, java.lang.String destFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDocTemplateEngine

          public GroovyDocTemplateEngine(GroovyDocTool tool,
                                         ResourceManager resourceManager,
                                         java.lang.String classTemplate)

    - #### GroovyDocTemplateEngine

          public GroovyDocTemplateEngine(GroovyDocTool tool,
                                         ResourceManager resourceManager,
                                         java.lang.String[] docTemplates,
                                         java.lang.String[] packageTemplates,
                                         java.lang.String[] classTemplates,
                                         java.util.Properties properties)

  - ### Method Detail

    - #### copyBinaryResource

          public void copyBinaryResource(java.lang.String template,
                                         java.lang.String destFileName)